package com.persagy.server.services.task

import com.persagy.server.services.base.RService
import com.persagy.server.datacenter.models.entities.task.ScanScheme
import com.persagy.mybatis.SMybatisDao
import org.slf4j.LoggerFactory
import java.util.*

/**
 * 方案
 *
 * @author  邓婷婷
 */
object ScanSchemeService : RService<ScanScheme>(SMybatisDao(ScanScheme::class.java))  {

    // 日志
    private val logger = LoggerFactory.getLogger(ScanSchemeService::class.java)

    /**
     * 创建之前操作
     */
    override fun onCreateBefore(scanScheme: ScanScheme): Boolean {
        if (scanScheme.id.isNullOrEmpty()) {
            scanScheme.id = UUID.randomUUID().toString()
        }
        return true
    } //

} // Class ScanSchemeService